import * as $dara from '@darabonba/typescript';
export declare class DescribeGroupedTagsRequest extends $dara.Model {
    /**
     * @remarks
     * The type of the asset to query. If you do not specify this parameter, the tags of all asset types are queried. Valid values:
     *
     * *   **ecs**: server
     * *   **cloud_product**: Alibaba Cloud service
     *
     * @example
     * ecs
     */
    machineTypes?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
